# Interface ChangeEvent<T, Target>

Raised when items are added, removed, or moved from a Collection.

interface ChangeEvent<T, Target> {
added: T[];
moved: T[];
removed: T[];
target: Target;
}

#### Type Parameters

- T
- Target = Collection<T>

#####
Index

### Properties

added
moved
removed
target

##
Properties

### added

added: T[]

The items that were added.

### moved

moved: T[]

The items that were moved.

### removed

removed: T[]

The items that were removed.

### target

target: Target

The Collection that raised the event.